Skip to main content
GET
/
public
/
v1
/
projects
/
{projectId}
/
schemas
List schemas for a project
curl --request GET \
  --url https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas \
  --header 'x-api-key: <api-key>'
[ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "slug": "<string>", "name": "<string>", "description": "<string>", "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ]

Authorizations

x-api-key
string
header
required

Team API key created under /api/api-keys. Prefix: sb_api_.

Path Parameters

projectId
string<uuid>
required

Project UUID in the team associated with the API key.

Response

Schema list

id
string<uuid>
slug
string
name
string
description
string | null
projectId
string<uuid>
createdAt
string<date-time>
updatedAt
string<date-time> | null